Subject: Re: bug#65470: 29.1.50; js-ts-mode: regex pattern can cause incorrect parenthesis matching

From: Jostein Kjønigsen <[email-masked]>
Date: Fri, 25 Aug 2023 08:59:49 +0200

> On 24 Aug 2023, at 21:47, Theodor Thornhill <[email-masked]> wrote:
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>> 
>> Would someone please add syntax-propertize-function in modes that need
>> it?  I think this should be done on the emacs-29 branch.
>> 
>> TIA
> 
> I'll add it to my list, but if someone will grab it that's fine, as I'm
> a little short on time the next couple of weeks :-(
> 
> Theo

I’ve just been forced over to a Mac at work, and I can’t (yet) for the life of me figure out how to build Emacs from source on this platform. It seems Emacs is not picking up libraries I’ve installed using homebrew?

If anyone can help me get past this roadblock, I might be able to get a patch going. (It’s a ARM-based Mac, if that matters.)

—
Jostein